Skip to main content
POST
/
api
/
lead-management
Create lead management configuration
curl --request POST \
  --url https://your-instance.example.com/api/lead-management \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "configurationName": "<string>",
  "initialStage": "<string>",
  "defaultProcess": "<string>",
  "name": "<string>",
  "description": "<string>",
  "source": "Any",
  "inboundEmail": "<string>",
  "isAutopilot": false,
  "allowRecontact": false,
  "starterMessage": "<string>",
  "costPerLead": 0,
  "status": "active",
  "pipelineId": "<string>",
  "pipelineStage": "<string>",
  "createApplication": false,
  "applicationName": "<string>",
  "applicationStatus": "<string>",
  "applicationPipelineId": "<string>",
  "applicationPipelineStage": "<string>"
}
'
{}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
configurationName
string
required
initialStage
string
required
defaultProcess
string
required
name
string
description
string
source
string
default:Any
inboundEmail
string
isAutopilot
boolean
default:false
allowRecontact
boolean
default:false
starterMessage
string
costPerLead
number
default:0
Required range: x >= 0
status
enum<string>
default:active
Available options:
active,
inactive
pipelineId
string
pipelineStage
string
createApplication
boolean
default:false
applicationName
string
applicationStatus
string
applicationPipelineId
string
applicationPipelineStage
string

Response

Configuration created

Generic response envelope. Endpoint-specific fields are intentionally open.